// variables
  --collection-background
  --collection-color

  --collection-size
  --collection-font-size

  --spacing

  --collection-button-background
  --collection-button-color
  --collection-button-hover-background
  --collection-button-hover-color

  --collection-item-odd-background

  --collection-item-hover-background
  --collection-item-hover-color

ul
  background: var( --collection-background )
  color: var( --collection-color )

  li
    height: var( --collection-size )
    font-size: var( --collection-font-size )

    background: var( --collection-background )
    color: var( --collection-color )

    display: flex

    label
      flex: 1
      line-height: var( --collection-size )
      padding: 0 var( --spacing )

      white-space: nowrap
      overflow: hidden
      text-overflow: ellipsis

    figure
      display: flex
      align-items: center
      justify-content: center

      width: var( --collection-size )
      height: var( --collection-size )

      // & + label
        padding-left: 0

    button
      display: flex
      align-items: center
      justify-content: center

      width: var( --collection-size )
      height: var( --collection-size )

      border: 1px solid transparent

      background: var( --collection-button-background )
      color: var( --collection-button-color )

      &:hover
        background: var( --collection-button-hover-background )
        color: var( --collection-button-hover-color )

    &:nth-child( odd )
      background: var( --collection-item-odd-background )

    &:hover
      background: var( --collection-item-hover-background )
      color: var( --collection-item-hover-color )
